ATANH(3)

NAME
atanh, atanhf, atanhl - inverse hyperbolic tangent functions

LIBRARY
libm

SYNOPSIS
#include <math.h>
double
atanh(double x);
float
atanhf(float x);
long double
atanhl(long double x);

DESCRIPTION
The atanh(), atanhf(), and atanhl() functions compute the inverse hyperbolic tangent of the real argument x. For a discussion of error due to roundoff, see math(3).

RETURN VALUES
These functions return the inverse hyperbolic tangent of x if successful. If the argument has absolute value 1, a divide-by-zero exception is raised and an infinity is returned. If |x| > 1, an invalid exception is raised and an is returned.

SEE ALSO
acosh(3), asinh(3), exp(3), fenv(3), math(3)

HISTORY
The atanh(), atanhf(), and atanhl() functions appeared in 4.3BSD, FreeBSD 2.0, and FreeBSD 10.0, respectively.